Package org.eclipse.mat.inspections.osgi.model

# Class BundleDescriptor

java.lang.Object
org.eclipse.mat.inspections.osgi.model.BundleDescriptor

public class BundleDescriptor extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`BundleDescriptor.Type`

## Constructor Summary

Constructors
Constructor
Description
`BundleDescriptor(int objectId, Long bundleId, String bundleName, String state, BundleDescriptor.Type type)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Long`
`getBundleId()`
Get bundle's unique identifier.
`String`
`getBundleName()`
`int`
`getObjectId()`
Get objectId of the bundle in the heap dump
`String`
`getState()`
Get bundle's state (installed, resolved, starting, active, stopping, uninstalled)
`BundleDescriptor.Type`
`getType()`
Get bundle's type (fragment or bundle)
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BundleDescriptor

public BundleDescriptor(int objectId, Long bundleId, String bundleName, String state, BundleDescriptor.Type type)

## Method Details

### getBundleName

public String getBundleName()

### getBundleId

public Long getBundleId()
Get bundle's unique identifier. This bundle is assigned a unique identifier by the Framework when it was installed in the OSGi environment.

Returns:
  long bundle's unique identifier

### getObjectId

public int getObjectId()
Get objectId of the bundle in the heap dump

Returns:
  int objectId

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getType

public BundleDescriptor.Type getType()
Get bundle's type (fragment or bundle)

Returns:
  Type

### getState

public String getState()
Get bundle's state (installed, resolved, starting, active, stopping, uninstalled)

Returns:
  String state